%define module	Youri-Config
%define name	perl-%{module}
%define version 0.1.1
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Youri configuration handler
License:	GPL or Artistic
Group:		Development/Other
Source:		http://youri.zarb.or/download/%{module}-v%{version}.tar.bz2
Url:		http://youri.zarb.org
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:  perl(YAML::AppConfig)
BuildRequires:  perl-version
Buildarch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This package provides configuration handling for other youri programs.

%prep
%setup -q -n %{module}-v%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2007.1
+ Revision: 138940
- fix build dependencies _correctly_
- fix build dependencies
- Imported perl-Youri-Config-0.1.1-1mdv2007.1 into SVN repository.



* Fri Mar 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2007.1
- first mdv release 
